# studio::CompView Class Reference

`#include <compview.h>`

List of all members.

## Public Member Functions

| CompView ()
| ~CompView ()
etl::loose_handle < studio::Instance > | get_selected_instance ()
etl::loose_handle< synfig::Canvas > | get_selected_canvas ()
etl::loose_handle < studio::CanvasView > | get_selected_canvas_view ()
void | set_selected_instance (etl::loose_handle< studio::Instance > x)
void | set_selected_instance_signal (etl::handle< studio::Instance > x)
void | new_instance (etl::handle< studio::Instance > x)
void | delete_instance (etl::handle< studio::Instance > x)
void | refresh_instances ()
bool | close ()

## Constructor & Destructor Documentation

CompView::CompView | ( |  | ) |

References _, close(), delete_instance(), new_instance(), set_selected_instance_signal(), studio::App::signal_instance_created(), studio::App::signal_instance_deleted(), and studio::App::signal_instance_selected().

CompView::~CompView | ( |  | ) |

## Member Function Documentation

etl::loose_handle<studio::Instance> studio::CompView::get_selected_instance | ( |  | ) | `[inline]`

Referenced by get_selected_canvas_view().

etl::loose_handle< synfig::Canvas > CompView::get_selected_canvas | ( |  | ) |

References studio::Instance::CanvasTreeModel::canvas.

Referenced by get_selected_canvas_view().

etl::loose_handle< studio::CanvasView > CompView::get_selected_canvas_view | ( |  | ) |

References get_selected_canvas(), and get_selected_instance().

void CompView::set_selected_instance | ( | etl::loose_handle< studio::Instance > | x | ) |

References studio::App::instance_list, and studio::App::shutdown_in_progress.

Referenced by delete_instance(), new_instance(), and set_selected_instance_signal().

void CompView::set_selected_instance_signal | ( | etl::handle< studio::Instance > | x | ) |

References set_selected_instance().

Referenced by CompView().

void CompView::new_instance | ( | etl::handle< studio::Instance > | x | ) |

References refresh_instances(), studio::App::set_selected_instance(), set_selected_instance(), and studio::App::shutdown_in_progress.

Referenced by CompView().

void CompView::delete_instance | ( | etl::handle< studio::Instance > | x | ) |

References refresh_instances(), set_selected_instance(), and studio::App::shutdown_in_progress.

Referenced by CompView().

void CompView::refresh_instances | ( |  | ) |

References studio::App::instance_list, studio::App::set_selected_instance(), and studio::App::shutdown_in_progress.

Referenced by delete_instance(), and new_instance().

bool CompView::close | ( |  | ) |

Referenced by CompView().

The documentation for this class was generated from the following files:

- compview.h
- compview.cpp